For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network Template Rendering System
      • Render Service
      • Filter quick reference
      • Template expansion
        • GETHealthcheck
        • GETCurrent User Info
          • GETList Consumers
          • DELReset All Consumers
          • GETGet Consumer Info
          • DELReset Consumer
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesTemplate Rendering ServiceRender Service APIadmin

Get Consumer Info

||View as Markdown|
GET
https://host.com/v1/admin/consumers/:consumer_type
GET
/v1/admin/consumers/:consumer_type
$curl https://host.com/v1/admin/consumers/nautobot \
> -H "Content-Type: application/json"
1{
2 "name": "nautobot_consumer_01",
3 "num_ack_pending": 12,
4 "num_delivered": 3456,
5 "num_pending": 78,
6 "stream": "events_stream",
7 "subject": "nautobot.events.update"
8}
Get detailed information about a specific consumer.
Previous

Reset All Consumers

Next

Reset Consumer

Path parameters

consumer_typeenumRequired
Valid consumer types for NATS consumer management.
Allowed values:

Response

Operation successful
namestring
num_ack_pendinginteger
num_deliveredinteger
num_pendinginteger
streamstring
subjectstring

Errors

404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error